Skip to content

Create 'Region'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
namestring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
main_addressobject or null(Address)

Content Type: common.address

public_descriptionstring or null
sales_descriptionstring or null
custom_dimension_valuestring or null, <= 255 characters
POST
/objects/structural/region/
curl -i -X POST \
  https://dev.api.pigello.io/objects/structural/region/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "name": "string",
    "main_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "public_description": "string",
    "sales_description": "string",
    "custom_dimension_value": "string"
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
main_addressobject or null(Address)

Content Type: common.address

public_descriptionstring or null
sales_descriptionstring or null
custom_dimension_valuestring or null, <= 255 characters
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "main_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "care_of": "string", "attention": "string", "street": "string", "street_number": "string", "postal_code": "string", "city": "string", "country": "string", "longitude": -180, "latitude": -90 }, "public_description": "string", "sales_description": "string", "custom_dimension_value": "string", "tags": null, "customer_columns": null }